## l7vs-0.2.0-4.tar.gz

=== Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



######################################################################
# Makefile                                                 August 2005
#
# L7VSD: Linux Virtual Server for Layer7 Load Balancing
# Copyright (C) 2005  NTT COMWARE Corporation.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA
#
######################################################################
SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = /etc
sharedstatedir = ${prefix}/com
localstatedir = /var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/l7vs
pkgincludedir = $(includedir)/l7vs
top_builddir = .

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
pkglibdir = /usr/lib/l7vs
AMTAR = tar
AS = @AS@
AWK = gawk
CC = gcc
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
GLIB_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
OBJDUMP = @OBJDUMP@
PACKAGE = l7vs
RANLIB = ranlib
STRIP = strip
VERSION = 0.2.0
am__include = include
am__quote = 
install_sh = /root/UM_L7/20060331/l7vs-0.2.0-3/install-sh
l7vs_moddir = /usr/lib/l7vs

SUBDIRS = debian

EXTRA_DIST = \
	configure \
	configure.in


sbin_PROGRAMS = l7vsd l7vsadm
pkglib_PROGRAMS = protomod_pfilter.so protomod_url.so sched_rr.so sched_lc.so

l7vsd_SOURCES = \
	l7vs.h \
	l7vsd.c \
	iomux.c \
	lsock.c \
	service.c \
	conn.c \
	dest.c \
	config.c \
	module.c \
	protomod.c \
	sched.c \
	tcps.h


LDADD = \
	$(GLIB_LIBS) \
	-lvanessa_adt \
	-lvanessa_logger


CONFIG_SOCK_PATH = /var/run/l7vs

INCLUDES = \
	$(GLIB_CFLAGS) \
	-DL7VS_MODULE_PATH="\"/usr/lib/l7vs\"" \
	-DL7VS_CONFIG_SOCK_PATH="\"$(CONFIG_SOCK_PATH)\""


l7vsadm_SOURCES = \
	l7vs.h \
	l7vsadm.c \
	module.c


protomod_pfilter_so_SOURCES = l7vs.h protomod_pfilter.c
protomod_url_so_SOURCES = l7vs.h protomod_url.c
sched_rr_so_SOURCES = l7vs.h sched_rr.c
sched_lc_so_SOURCES = l7vs.h sched_lc.c
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = l7vs.spec
pkglib_PROGRAMS = protomod_pfilter.so$(EXEEXT) protomod_url.so$(EXEEXT) \
	sched_rr.so$(EXEEXT) sched_lc.so$(EXEEXT)
sbin_PROGRAMS = l7vsd$(EXEEXT) l7vsadm$(EXEEXT)
PROGRAMS = $(pkglib_PROGRAMS) $(sbin_PROGRAMS)

am_l7vsadm_OBJECTS = l7vsadm.$(OBJEXT) module.$(OBJEXT)
l7vsadm_OBJECTS = $(am_l7vsadm_OBJECTS)
l7vsadm_LDADD = $(LDADD)
l7vsadm_DEPENDENCIES =
l7vsadm_LDFLAGS =
am_l7vsd_OBJECTS = l7vsd.$(OBJEXT) iomux.$(OBJEXT) lsock.$(OBJEXT) \
	service.$(OBJEXT) conn.$(OBJEXT) dest.$(OBJEXT) \
	config.$(OBJEXT) module.$(OBJEXT) protomod.$(OBJEXT) \
	sched.$(OBJEXT)
l7vsd_OBJECTS = $(am_l7vsd_OBJECTS)
l7vsd_LDADD = $(LDADD)
l7vsd_DEPENDENCIES =
l7vsd_LDFLAGS =
am_protomod_pfilter_so_OBJECTS = protomod_pfilter.$(OBJEXT)
protomod_pfilter_so_OBJECTS = $(am_protomod_pfilter_so_OBJECTS)
protomod_pfilter_so_LDADD = $(LDADD)
protomod_pfilter_so_DEPENDENCIES =
protomod_pfilter_so_LDFLAGS =
am_protomod_url_so_OBJECTS = protomod_url.$(OBJEXT)
protomod_url_so_OBJECTS = $(am_protomod_url_so_OBJECTS)
protomod_url_so_LDADD = $(LDADD)
protomod_url_so_DEPENDENCIES =
protomod_url_so_LDFLAGS =
am_sched_lc_so_OBJECTS = sched_lc.$(OBJEXT)
sched_lc_so_OBJECTS = $(am_sched_lc_so_OBJECTS)
sched_lc_so_LDADD = $(LDADD)
sched_lc_so_DEPENDENCIES =
sched_lc_so_LDFLAGS =
am_sched_rr_so_OBJECTS = sched_rr.$(OBJEXT)
sched_rr_so_OBJECTS = $(am_sched_rr_so_OBJECTS)
sched_rr_so_LDADD = $(LDADD)
sched_rr_so_DEPENDENCIES =
sched_rr_so_LDFLAGS =

DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"l7vs\" -DVERSION=\"0.2.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_LIBDL=1 -DSTDC_HEADERS=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_FNMATCH=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_STRDUP=1 -DHAVE_STRERROR=1 
DEFAULT_INCLUDES =  -I. -I$(srcdir)
CPPFLAGS = 
LDFLAGS = 
LIBS = -ldl 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/config.Po ./$(DEPDIR)/conn.Po \
	./$(DEPDIR)/dest.Po ./$(DEPDIR)/iomux.Po \
	./$(DEPDIR)/l7vsadm.Po ./$(DEPDIR)/l7vsd.Po \
	./$(DEPDIR)/lsock.Po ./$(DEPDIR)/module.Po \
	./$(DEPDIR)/protomod.Po \
	./$(DEPDIR)/protomod_pfilter.Po \
	./$(DEPDIR)/protomod_url.Po ./$(DEPDIR)/sched.Po \
	./$(DEPDIR)/sched_lc.Po ./$(DEPDIR)/sched_rr.Po \
	./$(DEPDIR)/service.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2
DIST_SOURCES = $(l7vsadm_SOURCES) $(l7vsd_SOURCES) \
	$(protomod_pfilter_so_SOURCES) $(protomod_url_so_SOURCES) \
	$(sched_lc_so_SOURCES) $(sched_rr_so_SOURCES)

RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = COPYING Makefile.am Makefile.in aclocal.m4 config.guess \
	config.sub configure configure.in depcomp install-sh \
	l7vs.spec.in ltmain.sh missing mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(l7vsadm_SOURCES) $(l7vsd_SOURCES) $(protomod_pfilter_so_SOURCES) $(protomod_url_so_SOURCES) $(sched_lc_so_SOURCES) $(sched_rr_so_SOURCES)

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
l7vs.spec: $(top_builddir)/config.status l7vs.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
pkglibPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-pkglibPROGRAMS: $(pkglib_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkglibdir)
	@list='$(pkglib_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(pkglibPROGRAMS_INSTALL) $$p $(DESTDIR)$(pkglibdir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(pkglibPROGRAMS_INSTALL) $$p $(DESTDIR)$(pkglibdir)/$$f; \
	  else :; fi; \
	done

uninstall-pkglibPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkglib_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
	  rm -f $(DESTDIR)$(pkglibdir)/$$f; \
	done

clean-pkglibPROGRAMS:
	@list='$(pkglib_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
	  rm -f $(DESTDIR)$(sbindir)/$$f; \
	done

clean-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
l7vsadm$(EXEEXT): $(l7vsadm_OBJECTS) $(l7vsadm_DEPENDENCIES) 
	@rm -f l7vsadm$(EXEEXT)
	$(LINK) $(l7vsadm_LDFLAGS) $(l7vsadm_OBJECTS) $(l7vsadm_LDADD) $(LIBS)
l7vsd$(EXEEXT): $(l7vsd_OBJECTS) $(l7vsd_DEPENDENCIES) 
	@rm -f l7vsd$(EXEEXT)
	$(LINK) $(l7vsd_LDFLAGS) $(l7vsd_OBJECTS) $(l7vsd_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/config.Po
include ./$(DEPDIR)/conn.Po
include ./$(DEPDIR)/dest.Po
include ./$(DEPDIR)/iomux.Po
include ./$(DEPDIR)/l7vsadm.Po
include ./$(DEPDIR)/l7vsd.Po
include ./$(DEPDIR)/lsock.Po
include ./$(DEPDIR)/module.Po
include ./$(DEPDIR)/protomod.Po
include ./$(DEPDIR)/protomod_pfilter.Po
include ./$(DEPDIR)/protomod_url.Po
include ./$(DEPDIR)/sched.Po
include ./$(DEPDIR)/sched_lc.Po
include ./$(DEPDIR)/sched_rr.Po
include ./$(DEPDIR)/service.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:

=== debian/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# debian/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = /etc
sharedstatedir = ${prefix}/com
localstatedir = /var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/l7vs
pkglibdir = $(libdir)/l7vs
pkgincludedir = $(includedir)/l7vs
top_builddir = ..

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = tar
AS = @AS@
AWK = gawk
CC = gcc
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
GLIB_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
OBJDUMP = @OBJDUMP@
PACKAGE = l7vs
RANLIB = ranlib
STRIP = strip
VERSION = 0.2.0
am__include = include
am__quote = 
install_sh = /root/UM_L7/20060331/l7vs-0.2.0-3/install-sh
l7vs_moddir = /usr/lib/l7vs
EXTRA_DIST = \
changelog \
control \
copyright \
rules \
l7vs.dirs \
l7vs.files \
l7vs.conffiles \
l7vs.postinst \
l7vs.postrm \
dpkg-checkbuild

subdir = debian
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  debian/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	clean-local distclean distclean-generic distclean-libtool \
	distdir dvi dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool uninstall uninstall-am uninstall-info-am


clean-local:
	rm -f *.substvars *.debhelper files
	rm -r -f l7vs tmp
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/control ===
Source: l7vs
Build-Depends: debhelper (>= 4.0.0), automake, libtool, libvanessa-adt-dev, libvanessa-logger-dev
Section: libs
Priority: optional
Maintainer: NTT COMWARE Corporation
Standards-Version: 3.5.10

Package: l7vs
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
#Suggests: kernel-patch-2.4-tcps | kernel-image-2.4-tcps
Description: The Layer-7 Virtual Server
  Layer-7 load balancer daemon that works with TCP splicing
